Bug 738393 (CVE-2011-3323) - CVE-2011-3323 Quagga (ospf6d): Stack-based buffer overflow while decoding Link State Update packet with malformed Inter Area Prefix LSA
Summary: CVE-2011-3323 Quagga (ospf6d): Stack-based buffer overflow while decoding Lin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3323
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110926,reported=2...
Depends On: 741343 845163 845526 845528 845529
Blocks: 738408
TreeView+ depends on / blocked
 
Reported: 2011-09-14 17:19 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:54 UTC (History)
3 users (show)

Fixed In Version: quagga 0.99.19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-13 16:44:56 UTC


Attachments (Terms of Use)
Upstream CVE-2011-3323 patch for Quagga-v0.99.18 branch (26.42 KB, patch)
2011-09-14 17:24 UTC, Jan Lieskovsky
no flags Details | Diff
Upstream CVE-2011-3323 patch for Quagga-master branch (28.25 KB, patch)
2011-09-14 17:25 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1258 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:02:35 UTC
Red Hat Product Errata RHSA-2012:1259 normal SHIPPED_LIVE Moderate: quagga security update 2012-09-13 00:00:43 UTC

Description Jan Lieskovsky 2011-09-14 17:19:22 UTC
A stack-based buffer overflow flaw was found in the way the ospf6d daemon of the Quagga routing suite processed certain Link State Update packets with malformed Inter Area Prefix Link-State-Advertisement (LSA). A configured OSPF peer, could use this flaw to the master OSPF daemon (ospf6d) to crash, or, potentially execute arbitrary code with the privileges of the user running the ospf6d via specially-crafted OSPF Link State Update packet.

Comment 1 Jan Lieskovsky 2011-09-14 17:21:13 UTC
This issue affects the versions of the quagga package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora release of 14 and 15.

Comment 3 Jan Lieskovsky 2011-09-14 17:24:34 UTC
Created attachment 523207 [details]
Upstream CVE-2011-3323 patch for Quagga-v0.99.18 branch

Comment 4 Jan Lieskovsky 2011-09-14 17:25:21 UTC
Created attachment 523208 [details]
Upstream CVE-2011-3323 patch for Quagga-master branch

Comment 6 Jan Lieskovsky 2011-09-26 15:54:05 UTC
Public now via:
[1] https://www.cert.fi/en/reports/2011/vulnerability539178.html

Comment 7 Jan Lieskovsky 2011-09-26 16:06:17 UTC
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 741343]

Comment 8 Fedora Update System 2011-10-18 22:15:40 UTC
quagga-0.99.20-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-18 22:19:51 UTC
quagga-0.99.20-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-19 04:39:33 UTC
quagga-0.99.20-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Stefan Cornelius 2012-08-01 13:20:57 UTC
The buffer overflow is mitigated by FORTIFY_SOURCE on RHEL5 and 6.

Comment 16 errata-xmlrpc 2012-09-12 20:05:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html

Comment 17 errata-xmlrpc 2012-09-12 20:06:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1258 https://rhn.redhat.com/errata/RHSA-2012-1258.html

Comment 18 Murray McAllister 2012-09-13 02:50:27 UTC
Acknowledgements:

Red Hat would like to thank CERT-FI for reporting this issue. CERT-FI acknowledges Riku Hietamäki, Tuomo Untinen and Jukka Taimisto of the Codenomicon CROSS project as the original reporters.


Note You need to log in before you can comment on or make changes to this bug.